import { IMathRenderer, MathEngine, MathJax2RendererConfig, MathJax3RendererConfig } from './model';
export declare class Mathjax2Renderer implements IMathRenderer<MathEngine.MathJax2> {
    private readonly _defaultConfig;
    private readonly _defaultMathJaxConfig;
    private _config;
    private _initTask?;
    private get _global();
    render(container: HTMLElement, callback?: () => unknown): Promise<void>;
    config(value: Partial<MathJax2RendererConfig>): this;
    private init;
}
export declare class MathJax3Renderer implements IMathRenderer<MathEngine.MathJax3> {
    private readonly _defaultConfig;
    private readonly _defaultMathJaxConfig;
    private _config;
    private _initTask?;
    config(value: Partial<MathJax3RendererConfig>): this;
    render(container: HTMLElement, callback?: () => unknown): Promise<void>;
    private init;
}
