"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultilineBlockquoteRule = exports.MultilineBlockquotePlugin = void 0;
const multiline_blockquote_rule_1 = require("./multiline-blockquote.rule");
Object.defineProperty(exports, "MultilineBlockquoteRule", { enumerable: true, get: function () { return multiline_blockquote_rule_1.MultilineBlockquoteRule; } });
const MultilineBlockquotePlugin = (md, options) => {
    options !== null && options !== void 0 ? options : (options = {});
    md.block.ruler.before('blockquote', 'multiline_blockquote', (...args) => {
        if (options.enable != null && !options.enable(md))
            return false;
        return multiline_blockquote_rule_1.MultilineBlockquoteRule.apply(undefined, args);
    });
};
exports.MultilineBlockquotePlugin = MultilineBlockquotePlugin;
//# sourceMappingURL=multiline-blockquote.plugin.js.map